
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/zim.zip" ),
}
local prefabs =
{
	"zim_smoke"
}

local function dorainsparks(inst, dt)

	local mitigates_rain = false
	for k,v in pairs (inst.components.inventory.equipslots) do
		if v.components.dapperness then
			if v.components.dapperness.mitigates_rain then
				mitigates_rain = true
			end
		end
	end

    if GetSeasonManager() and GetSeasonManager():IsRaining() and not mitigates_rain then
    	inst.sparks_time = inst.sparks_time - dt

    	if inst.sparks_time <= 0 then

    		inst.sparks_time = 3+math.random()*2
    		inst.components.health:DoDelta(-1, false, "rain")
			local pos = Vector3(inst.Transform:GetWorldPosition())
			pos.y = pos.y + 2
			pos.x = pos.x - .75
			local sparks = SpawnPrefab("zim_smoke")
			sparks.Transform:SetPosition(pos:Get())

    		inst.sparks_time = 3+math.random()*2
    		inst.components.health:DoDelta(-1, false, "rain")
			local pos = Vector3(inst.Transform:GetWorldPosition())
			pos.y = pos.y + 2.5
			pos.x = pos.x + .75
			local sparks = SpawnPrefab("zim_smoke")
			sparks.Transform:SetPosition(pos:Get())

    		inst.sparks_time = 3+math.random()*2
    		inst.components.health:DoDelta(-1, false, "rain")
			local pos = Vector3(inst.Transform:GetWorldPosition())
			pos.y = pos.y + 3
			local sparks = SpawnPrefab("zim_smoke")
			sparks.Transform:SetPosition(pos:Get())
		end
    end

end

local start_inv =
{
    "irkenpak",
}

local fn = function(inst)

	inst.sparks_time = 3

	inst.components.sanity:SetMax(200)
	inst.components.health:SetMaxHealth(100)
	inst.components.hunger:SetMax(200)
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.25)
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.25)
	inst.components.combat.damagemultiplier = 1
	inst.components.sanity.night_drain_mult = -.5

	inst:DoPeriodicTask(1/10, function() dorainsparks(inst, 1/10) end)


	-- choose which sounds this character will play
	inst.soundsname = "wx78"

	-- a minimap icon must be specified
	inst.MiniMapEntity:SetIcon( "wilson.png" )

	-- todo: Add an example special power here.

STRINGS.CHARACTERS.ZIM = require "speech_zim"


end

return MakePlayerCharacter("zim", prefabs, assets, fn, start_inv)
